FOP 2.31.03 Released!

  1. 2 years ago

    admin

    31 Jul 2016 Administrator
    Edited 2 years ago by admin

    I am happy to announce a new FOP2 release.

    This minor revision addresses some feature requests:

    • Licensing is not lost after a reboot in AstLinux installations
    • Pickup from parking can be done clicking on the whole label, not just the icon
    • FOP2 Manager shows a changelog for Plugins that have updates

    Some other new features that were not specifically requested:

    • Support for timer formats (hh:mm:ss, mm:ss and ss), used by the Full Wallboard plugin
    • Links to tutorials/helps in plugins page in the FOP2 Manager
    • Better integration with Ombutel
    • Full Wallboard plugin added to repository

    And some bug fixes:

    • Fixes warning error when login out from FOP2 Manager
    • Fix typo in Pause Recording plugin that prevented status to be reflected in the pause button
    • Respect plugin form encoding when creating new sections (used by the Full Wallboard plugin)
    • Updated French translation
    • Allow question marks in passwords when parsing config files
    • Check for agent permissions in the Presence Pause plugin
    • Show ringing status when received from QueueMember and QueueMemberStatus
    • Fix in Call History plugin to show dialed number in outbound calls instead of caller id

    Also, some .js libraries were updated to newer versions: tablesorter and gridstack.

    The Full Wallboard plugin is around the corner, not yet released as it is *big* and requires a good amount of testing and documentation. If you are curious, you can take a look at the current documentation right now:

    http://www.fop2.com/docs/wallboard_guide.php

    I will write a proper post for the wallboard once it gets released.

    Ah! I almost forgot, there is now a super easy way to install FOP2 on a new FreePBX based system (Elastix 2, Elastix 4, FreePBX distro, PBX in a Flash, etc), just log into your server and use this command to fully install and configure FOP2:

    wget -O - http://download.fop2.com/install_fop2.sh | bash

    I want to thank all of you for giving valuable feedback and contributions to improve FOP2.

    Enjoy!

  2. How can i upgrade to the this version ?

  3. admin

    31 Jul 2016 Administrator

    Download, extract and run "make".

    You can also use the new script I wrote in the original announcement post to do that.

    Best regards,

  4. Hi admin,
    i've a problem after installing the fop2 with new script.
    On all browser always read "Flash Player Required!".
    I've used a script on Elastix 2.4 64bit.

    Could you help me?

    Very thanks
    Pietro

  5. admin

    3 Aug 2016 Administrator

    Hi,

    First of all, the new script is to install, it is not for upgrade.

    Now, the error you see comes from an OLD version. It is not the new version that is 'talking' to you. If you see an old message, it means either that you are loading FOP2 files from your browser cache, or the web files were not updated at all because you do not have them installed in /var/www/html/fop2 but some other custom path.

    The simple test is to just clear your browser cache or force a refresh on the browser (or use incognito mode) so it loads files afresh and not from cache. That might fix your issue.. if not, then you must ask your self why you are loading "old" files and not the ones provided with the new version. That question cannot be answered by me as I do not know how and where was your FOP2 installed, nor I know what was the output from the install script when you ran it, etc.

  6. I've cleared the browser cache.
    installation fop2 I made on a clean elastix server that had not already installed fop2.
    The path of fop2 are /var/www/html/fop2/
    The installation script writes a log?
    Can I try to uninstall and reinstall fop2? How?

    Thanks
    Pietro

  7. admin

    3 Aug 2016 Administrator

    "Flash Player Required" is a string that is *not* present in *any* file in recent FOP2 versions, including the latest. If you see "Flash Player Required", you have OLD files lingering around.

    You say you do not have them, but I am sure you do, otherwise you won't be seeing that message.

    So, I cannot really help, you are seeing an error message from FOP2 version 2.27 or older, not from FOP2 version 2.31.

    As for installing it again, just install it over your current one, there is no need to uninstall things as files are overwritten.

    If you see that old message, it means one file was not overwritten, or you are loading FOP2 from a different path, or you do have FOP2 installed in that Elastix system, version 2.25, that requires special steps described in this forum (see upgrading fop2 on elastix).

    You can catch me on the live help if you want, as I do not think the forum is appropiate as you are clearly showing old version errors when you say its a clean/new system.

  8. Edited 2 years ago by netlabsrl

    You were right,
    I checked more thoroughly and found out that he had been previously installed an older version of fop2.
    sorry if I made you waste time.
    It might be a good excuse to add a check in the installation script :)

    I proceeded as you told me to reinstall the fop2 removing the old folder, and now everything is ok.

    Thanks so much
    Peter

  9. "Fixes warning error when login out from FOP2 Manager"

    When I log out of FOP2, the login page refreshes continually every ~30 seconds. What is the purpose for this?

    I always get the error message "Invalid Credentials", but the password is stored in google. If you log out, I think the page auto-refresh should not happen, and the error message shouldn't pop up.

  10. admin

    5 Aug 2016 Administrator

    There is a reason, its a way to avoid resource exhaustion attacks. Any non authenticated connection will be kicked out by the server. That is the reason of the disconnect after a while.

or Sign Up to reply!